Перейти к основному содержанию
GET
/
v1
/
public
/
accounts
/
{account_id}
/
domains
/
{domain}
Получить домен
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "outbound_routing_ready": true,
  "status": "<string>",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "auto_renew": false,
  "created_at": "<string>",
  "dedicated_ip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dns_records": [
    {
      "id": 123,
      "name": "<string>",
      "ttl": 123,
      "type": "<string>",
      "value": "<string>",
      "is_system_managed": false,
      "priority": 123
    }
  ],
  "inbound_tenant_external_id": "<string>",
  "inbound_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "inbound_tenant_name": "<string>",
  "inbound_tenant_type": "<string>",
  "mailboxes": [
    {
      "active": true,
      "email": "<string>",
      "first_name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "last_name": "<string>"
    }
  ],
  "redirect_url": "<string>",
  "tags": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ],
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Авторизации

Authorization
string
header
обязательно

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Параметры пути

account_id
string<uuid>
обязательно
domain
string
обязательно

Ответ

id
string<uuid>
обязательно

Домен UUID

name
string
обязательно

Доменное имя

outbound_routing_ready
boolean
обязательно

Готова ли исходящая маршрутизация

status
string
обязательно

Статус жизненного цикла домена

workspace_id
string<uuid>
обязательно

Рабочая область UUID, содержащая домен.

auto_renew
boolean
по умолчанию:false

Включено ли автоматическое продление домена

created_at
string | null

Временная метка создания домена

dedicated_ip_id
string<uuid> | null

Назначенный выделенный IP UUID, если таковой имеется.

dns_records
DomainDnsRecordResponse · object[]

DNS записи для домена

inbound_tenant_external_id
string | null

Внешний идентификатор поставщика для входящего клиента

inbound_tenant_id
string<uuid> | null

Входящий клиент UUID, если назначен

inbound_tenant_name
string | null

Отображаемое имя входящего клиента, если назначено

inbound_tenant_type
string | null

Тип входящего клиента, если назначен

mailboxes
DomainMailboxSummary · object[]

Почтовые ящики на домене

redirect_mode
enum<string> | null

Настроенный режим перенаправления, если есть

Доступные опции:
301,
302,
iframe
redirect_url
string | null

Настроен URL-адрес перенаправления, если таковой имеется.

tags
DomainTagResponse · object[]

Теги, прикрепленные к домену

updated_at
string | null

Временная метка последнего обновления домена